# Record Class QCommandTreeResolver.QResolutionOKCommand

java.lang.Object
java.lang.Record
com.io7m.quarrel.core.QCommandTreeResolver.QResolutionOKCommand

Record Components:
  `command` - The command
  `path` - The path that lead to the command
  `remaining` - The remaining arguments

All Implemented Interfaces:
  `QCommandTreeResolver.QResolutionType`

Enclosing class:
  `QCommandTreeResolver`

public static record QCommandTreeResolver.QResolutionOKCommand(QCommandType command, List<String> path, List<String> remaining) extends Record implements QCommandTreeResolver.QResolutionType
The targeted object exists and is a command.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QResolutionOKCommand(QCommandType command, List<String> path, List<String> remaining)`
  The targeted object exists and is a command.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `QCommandType`
  `command()`
  Returns the value of the `command` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `List<String>`
  `path()`
  Returns the value of the `path` record component.
  `List<String>`
  `remaining()`
  Returns the value of the `remaining` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### QResolutionOKCommand

    public QResolutionOKCommand(QCommandType command, List<String> path, List<String> remaining)
    The targeted object exists and is a command.
    Parameters:
      `command` - The command
      `path` - The path that lead to the command
      `remaining` - The remaining arguments

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### command

    public QCommandType command()
    Returns the value of the `command` record component.
    Returns:
      the value of the `command` record component

  - ### path

    public List<String> path()
    Returns the value of the `path` record component.
    Returns:
      the value of the `path` record component

  - ### remaining

    public List<String> remaining()
    Returns the value of the `remaining` record component.
    Returns:
      the value of the `remaining` record component